<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kym.mapper.miniapp.InvoiceMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.kym.entity.miniapp.Invoice">
        <result column="user_id" property="userId" />
        <result column="order_details" property="orderDetails" typeHandler="com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler" />
        <result column="total_power" property="totalPower" />
        <result column="total_money" property="totalMoney" />
        <result column="elec_money" property="elecMoney" />
        <result column="service_money" property="serviceMoney" />
        <result column="email" property="email" />
        <result column="invoice_type" property="invoiceType" />
        <result column="invoice_title" property="invoiceTitle" />
        <result column="tax_id" property="taxId" />
        <result column="address" property="address" />
        <result column="bank_name" property="bankName" />
        <result column="bank_account" property="bankAccount" />
        <result column="invoice_amount" property="invoiceAmount" />
        <result column="tax_info" property="taxInfo" />
        <result column="biller" property="biller" />
        <result column="remark" property="remark" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        user_id, order_details, total_power, total_money, elec_money, service_money, email, invoice_type, invoice_title, tax_id, address, bank_name, bank_account, invoice_amount, tax_info, biller, remark
    </sql>

</mapper>
